#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <qtabwidget.h>
#include <q3textbrowser.h>
#include <qlayout.h>
#include <qdialog.h>
#include <qpushbutton.h>
#include <qstring.h>

class AboutTextBrowser;
/////////////////////////////////////////////////////////////////////////////
class AboutDialog :public QDialog
{
	Q_OBJECT

public:
	AboutDialog(QWidget* parent = 0, const char* name = 0);

private:
	QTabWidget *tabs;
	AboutTextBrowser *credits;
	AboutTextBrowser *license;

	QLayout *mainLayout;
	QLayout *topLayout;
	QLayout *bottomLayout;
	QPushButton *okbutton;
	
};

class AboutTextBrowser : public Q3TextBrowser
{
  Q_OBJECT;
 public:
  AboutTextBrowser(QWidget *parent, const char *name = 0);
 public slots:
   void setSource(const QString &name);
};

#endif
